libpacoxx-0.2.beta-alt6.i586.rpm


Advertisement

Description

libpacoxx - Shared libraries of PaCO++

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libpacoxx-0.2.beta-alt6.i586.rpm
Package name libpacoxx
Package version 0.2.beta
Package release alt6
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 337.66 KB
Installed size 337.66 KB
Parallel CORBA objects are defined as a collection of identical CORBA
objects. They aim at providing parallelism support to CORBA. CORBA
objects of a collection are assumed to work together. They are expected
to communicate thanks to an external mechanism, like for example via
MPI. We call such objects portable parallel CORBA objects.
PaCO++ provides portable parallel CORBA objects on top of compliant ORB
without involving whatsoever modification of the CORBA specifications.
This package contains shared libraries of PaCO++.

Alternatives

Package Version Architecture Repository
libpacoxx-0.2.beta-alt6.x86_64.rpm 0.2.beta x86_64 Classic
libpacoxx - - -

Requires

Name Value
/usr/lib/openmpi/lib/libmpi.so.20 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libomniDynamic4.so.2 -
libomniORB4.so.2 -
libomnithread.so.4 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libBasicBC.so -
libControlled.so -
libGaBro.so -
libIdentity.so -
libPaCO.so -
libPaCO_dummy.so -
libPaCO_mpi.so -
libPaCO_omnithread.so -
libPaCO_pthread.so -
libpacoxx = 0.2.beta-alt6:sisyphus+231828.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libpacoxx-0.2.beta-alt6.i586.rpm
Source Package pacoxx-0.2.beta-alt6.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpacoxx rpm package:
    # sudo apt-get install libpacoxx

Files

Path
/usr/lib/PaCO++
/usr/lib/libBasicBC.so
/usr/lib/libControlled.so
/usr/lib/libGaBro.so
/usr/lib/libIdentity.so
/usr/lib/libPaCO.so
/usr/lib/libPaCO_dummy.so
/usr/lib/libPaCO_mpi.so
/usr/lib/libPaCO_omnithread.so
/usr/lib/libPaCO_pthread.so

Changelog

2019-06-10 - Michael Shigorin <mike@altlinux.org> 0.2.beta-alt6
- Fixed build on 64-bit arches
- Minor spec cleanup
2017-09-18 - Aleksei Nikiforov <darktemplar@altlinux.org> 0.2.beta-alt5
- Fixed build.
2013-04-10 - Igor Vlasenko <viy@altlinux.ru> 0.2.beta-alt4
- fixed build
2012-09-14 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.beta-alt3
- Rebuilt with updated libomniORB
2012-08-24 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.beta-alt2
- Fixed bin-permissions repocop warning
2012-08-23 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.beta-alt1
- Initial build for Sisyphus

See Also

Package Description
libpagemaker-0.0.4-alt1.i586.rpm A library for import of Adobe PageMaker documents
libpagemaker-devel-0.0.4-alt1.i586.rpm Development files for libpagemaker
libpagemaker-tools-0.0.4-alt1.i586.rpm Tools to transform Adobe PageMaker documents into other formats
libpagemap-0.0.1-alt1_25.i586.rpm Pagemap interface library
libpagemap-devel-0.0.1-alt1_25.i586.rpm Development files for libpagemap
libpala0.1-19.04.0-alt1.i586.rpm kde5-palapeli library
libpala4-15.4.3-alt1.i586.rpm KDE 4 library
libpam-google-authenticator-1.06-alt1.i586.rpm One-time passcode support using open standards
libpam0-1.3.1.0.5.955b-alt2.i586.rpm Shared libraries for running PAM-based software
libpam0-devel-1.3.1.0.5.955b-alt2.i586.rpm Libraries and header files for developing PAM-aware software
libpango-1.44.6-alt1.i586.rpm System for layout and rendering of internationalized text
libpango-devel-1.44.6-alt1.i586.rpm Development libraries and header files for pango
libpango-gir-1.44.6-alt1.i586.rpm GObject introspection data for the Pango library
libpango-tests-1.44.6-alt1.i586.rpm Tests for the Pango library
libpangomm-2.42.0-alt1.i586.rpm This library provides a C++ interface to pango
Advertisement
Advertisement